﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication1
{
    public class ViewModel
    {
        public double MinValue { get; set; }
        public double MaxValue {get;set;}
        public double Interval { get; set; }
        public double MinorTickCount { get; set; }
        public double StandardDeviation { get; set; }
        public double Value { get; set; }
        public string ValueName { get; set; }
        public string Title { get; set; }
        public double LowRangeMinValue { get; set; }
        public double LowRangeMaxValue { get; set; }
        public double HighRangeMinValue { get; set; }
        public double HighRangeMaxValue { get; set; }
        
        public double TargetValue { get; set; }
        public string TargetValueName { get; set; }
        public string LowRangeCaption { get; set; }
        public string HighRangeCaption { get; set; }

        public ViewModel()
        {
            MinValue = 1;
            MaxValue = 20;
            Interval = 1;
            MinorTickCount = 5;
            StandardDeviation = 10;
            Value = 12;
            ValueName = "Value Name";
            Title = "Range Title";
            LowRangeMinValue = 2;
            LowRangeMaxValue = 10;
            HighRangeMinValue = 10;
            HighRangeMaxValue = 17;
            TargetValue = 15;
            TargetValueName = "Target Value";
            LowRangeCaption = "Low Range";
            HighRangeCaption = "High Range";

        }
    }
}
